{...}: let
  dom = "graf.min.rip";
  httpIntPort = 14050;
in {
  services.nginx.virtualHosts.${dom} = {
    forceSSL = true;
    enableACME = true;

    locations."/" = {
      proxyPass = "http://127.0.0.1:${toString httpIntPort}";
    };
  };

  services.grafana = {
    enable = true;

    settings = {
      server = {
        http_addr = "127.0.0.1";
        http_port = httpIntPort;

        enable_gzip = true;

        enforce_domain = true;
        domain = dom;
      };
    };
  };
}
